Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Interface Node

All Known Subinterfaces:
  JavaNode, Node

All Known Implementing Classes:
  SimpleJavaNode, SimpleNode, SimpleNode

public interface Node

Method Summary
`void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
`void` | `jjtClose()` This method is called after all the child nodes have been added.
`Node` | `jjtGetChild(int i)` This method returns a child node.
`int` | `jjtGetNumChildren()` Return the number of children the node has.
`Node` | `jjtGetParent()`
`void` | `jjtOpen()` This method is called after the node has been made the current node.
`void` | `jjtSetParent(Node n)` This pair of methods are used to inform the node of its parent.

Method Detail

### jjtOpen

    public void jjtOpen()

  This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.

### jjtClose

    public void jjtClose()

  This method is called after all the child nodes have been added.

### jjtSetParent

    public void jjtSetParent(Node n)

  This pair of methods are used to inform the node of its parent.

### jjtGetParent

    public Node jjtGetParent()

### jjtAddChild

    public void jjtAddChild(Node n,
                            int i)

  This method tells the node to add its argument to the node's list of children.

### jjtGetChild

    public Node jjtGetChild(int i)

  This method returns a child node. The children are numbered from zero, left to right.

  Parameters:
    `i` - the child index. Must be nonnegative and less than `jjtGetNumChildren()`.

### jjtGetNumChildren

    public int jjtGetNumChildren()

  Return the number of children the node has.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.